<?php

use Illuminate\Database\Migrations\Migration;

class CreateDepartsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: departs
         */
        Schema::create('departs', function ($table) {
            $table->increments('id');
            $table->string('code', 256)->nullable();
            $table->string('name', 256)->nullable();
            $table->string('email_manager', 50)->nullable();
            $table->string('mobile_manager', 50)->nullable();
            $table->string('email_hod', 50)->nullable();
            $table->string('mobile_hod', 50)->nullable();
            $table->integer('company_id')->nullable();
            $table->enum('status', ['Show','Hide'])->nullable();
            $table->text('description')->nullable();
            $table->string('slug', 200)->nullable();
            $table->enum('status', ['draft', 'published', 'hidden', 'suspended', 'spam'])->default('draft')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('departs');
    }
}
